Name:           tomoe
Version:        0.5.1
Release:        1%{?dist}
Summary:        Japanese handwritten input system

Group:          System Environment/Libraries
License:        LGPL
URL:            http://scim-imengine.sourceforge.jp/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  glib2-devel
Patch1:         tomoe-modules-noversion.patch

%description
A program which does Japanese handwriting recognition.


%package devel
Summary:    tomoe
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
The tomoe-devel package includes the header files for the tomoe package.
Install this package if you want to develop programs which use tomoe.


%prep
%setup -q
%patch1 -p1 -b .1-version~


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# remove .la files
find ${RPM_BUILD_ROOT}%{_libdir} -name '*.la' | xargs rm


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO data/kanjidic*.html
%{_libdir}/libtomoe.so.*
%{_libdir}/tomoe
%{_datadir}/tomoe
%dir %{_sysconfdir}/tomoe
%config(noreplace) %{_sysconfdir}/tomoe/config


%files devel
%defattr(-,root,root,-)
%{_libdir}/libtomoe.so
%{_includedir}/tomoe
%{_libdir}/pkgconfig/tomoe.pc
%{_datadir}/gtk-doc/html/tomoe


%changelog
* Thu Feb 15 2007 Jens Petersen <petersen@redhat.com> - 0.5.1-1
- update to 0.5.1
- add tomoe-modules-noversion.patch to unversion .so modules (#227623)
- improve the filelists (#227453)
- add more doc files including new html files for kanjidic
- moved gtk-doc files to devel
- make config file noreplace

* Sat Jan 20 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-2
- do not buildrequire libtomoe-gtk

* Sat Jan 20 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-1
- update to 0.5.0.

* Thu Dec 21 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.4.0-1
- update to 0.4.0.

* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2.1-6
- mass rebuilding.

* Wed Mar  1 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2.1-4
- sync with libtomoe-gtk

* Sat Sep 3 2005 Warren Togami <wtogami@redhat.com> - 0.2.1-3
- some spec cleanup

* Sat Sep 2 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.2.1-2
- Sync with Jens's spec file

* Wed Aug 31 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.2.1-1
- Initial packaging for Extras

* Fri Jul  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- version 0.2.0
- add a package tomoe-devel
- add %%post and %%postun sections

* Wed Mar  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- initial package for Momonga Linux
- import %%description from cooker
